Support » Plugin: Memcached Object Cache » Please Update Plugin To Version In TRUNK

  • Hi,

    I help maintain a WP multi-site install and this plugin “leaks memory.” In fact it doesn’t.

    WordPress 2.0.2 version:
    http://plugins.svn.wordpress.org/memcached/tags/2.0.2/object-cache.php

    Wordress TRUNK version:
    http://plugins.svn.wordpress.org/memcached/trunk/object-cache.php

    In the TRUNK version are two extra functions that deal with wp_cache_switch_to_blog (introduced in WP 3.5) If you install the TRUNK problem, our “out of memory” issues goes away.

    Could you please bump TRUNK to 2.0.3 and update this plugin? It took me over 2 days to figure out this problem. It would have saved me a lot of time had I seen the new code first.

    Thanks.

    -=-=-

    PS: The TRUNK version has a couple bugs:

    #1

    `
    function switch_to_blog( $blog_id ) {
    $blog_id = (int) $blog_id;
    $this->blog_prefix = ( is_multisite() ? $blog_id : $table_prefix ) . ‘:’;
    }
    `

    Should be:

    `
    function switch_to_blog( $blog_id ) {
    global $table_prefix;
    $blog_id = (int) $blog_id;
    $this->blog_prefix = ( is_multisite() ? $blog_id : $table_prefix ) . ‘:’;
    }
    `

    #2

    In the get_multi() function:

    `
    if ( $to_get ) {
    $vals = $mc->get_multi( $to_get );
    `

    There is no such variable $to_get.

    https://wordpress.org/plugins/memcached/

Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • The topic ‘Please Update Plugin To Version In TRUNK’ is closed to new replies.